ltmain.sh: make OSX autofoo builds' compatibility version match Xcode builds.
authorOzkan Sezer <sezeroz@gmail.com>
Thu, 05 Jul 2018 23:01:10 +0300
changeset 120581a1133e9c7d4
parent 12056 523e803a0192
child 12059 320b43d5e5a7
ltmain.sh: make OSX autofoo builds' compatibility version match Xcode builds.

closes bug #4208.
build-scripts/ltmain.sh
     1.1 --- a/build-scripts/ltmain.sh	Mon Jul 02 03:53:57 2018 +0300
     1.2 +++ b/build-scripts/ltmain.sh	Thu Jul 05 23:01:10 2018 +0300
     1.3 @@ -7404,8 +7404,11 @@
     1.4  	  # Darwin ld doesn't like 0 for these options...
     1.5  	  func_arith $current + 1
     1.6  	  minor_current=$func_arith_result
     1.7 -	  xlcverstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"
     1.8 -	  verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"
     1.9 +	  #xlcverstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"
    1.10 +	  #verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"
    1.11 +	  # make the compatibility version match the Xcode project files, i.e. 1.0
    1.12 +	  xlcverstring="${wl}-compatibility_version 1.0 ${wl}-current_version ${wl}$minor_current.$revision"
    1.13 +	  verstring="-compatibility_version 1.0 -current_version $minor_current.$revision"
    1.14  	  ;;
    1.15  
    1.16  	freebsd-aout)